Bug 815769 - wordpress multi instance fails to launch application on EC2
wordpress multi instance fails to launch application on EC2
Status: CLOSED CURRENTRELEASE
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-audrey-agent (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Greg Blomquist
dgao
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 09:36 EDT by Rehana
Modified: 2012-08-30 13:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-30 13:14:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rehana 2012-04-24 09:36:22 EDT
Description of problem:

Version-Release number of selected component (if applicable):
How reproducible:

Steps to Reproduce:
1.Login to conductor
2.Launch instance using wordpress multi instance application blueprint
3.
  
Actual results:
Observed that once the machines were up the wordpress application was not accessible.

****************audrey log frm apache/mysql machine*************
2012-04-24 09:23:19,271 - ERROR   : audrey:93 Max attempts to get EC2 user data                         exceeded.
2012-04-24 09:23:19,271 - ERROR   : audrey:93 Failed accessing EC2 user data: Max attempts to get EC2 user data                         exceeded.
~                                                                               ***************************************************************

EC2 instance details
Apache:ec2-23-22-33-35.compute-1.amazonaws.com 
Mysql:ec2-23-22-16-129.compute-1.amazonaws.com 

config server for ec2: 

 audrey.server.ec2.hostname=ec2-50-18-103-246.us-west-1.compute.amazonaws.com
 audrey.ec2.oauth.key=939179498459074495170874
 audrey.ec2.oauth.secret=zbeUgSdGZ5e3Z6rkGiebTKetEpBNCXX0BLIT4UlwpdIpNbUH
          
Conductor details
hostname :https://ibm-x3200m3-01.rhts.eng.bos.redhat.com/conductor/

application name:ec2-wrdpress
application blueprint name:wrdpress_multi-ec2

Expected results:
The wordpress application should be accessible

Additional info:
rpm -qa | grep aeolus
aeolus-conductor-doc-0.8.12-1.el6_2.noarch
aeolus-configure-2.5.3-1.el6.noarch
aeolus-conductor-daemons-0.8.12-1.el6_2.noarch
aeolus-conductor-0.8.12-1.el6_2.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-all-0.8.12-1.el6_2.noarch
rubygem-aeolus-cli-0.3.1-1.el6.noarch
Comment 1 Greg Blomquist 2012-04-24 10:52:41 EDT
The problem here is that no user_data was sent to EC2.

I logged into the conductor box and looked at the database.  None of the instances on this conductor box have any user_data associated with them:


conductor=> select id, name, user_data from instances order by id;
 id |            name             | user_data 
----+-----------------------------+-----------
  1 | wrdpress-multi/apache       | 
  2 | wrdpress-multi/mysql        | 
  3 | wrdpress-multi-ec2/apache   | 
  4 | wrdpress-multi-ec2/mysql    | 
  5 | aa/apache                   | 
  6 | aa/mysql                    | 
  7 | test/apache                 | 
  8 | test/mysql                  | 
  9 | ec2-wrdpress/apache         | 
 10 | ec2-wrdpress/mysql          | 
 11 | testq/apache                | 
 12 | testq/mysql                 | 
 13 | fedora32bit-/apache         | 
 14 | fedora32bit-/mysql          | 
 15 | wrdpress-multi-2-ec2/apache | 
 16 | wrdpress-multi-2-ec2/mysql  | 
(16 rows)


According to dgao, there is a patch for conductor that fixes this problem.
Comment 3 wes hayutin 2012-04-26 15:28:55 EDT
David, please close this up when you can..
Comment 4 dgao 2012-04-26 15:44:48 EDT
[root@qe-blade-02 ~]# rpm -qa | grep "aeolus"
aeolus-conductor-daemons-0.8.13-1.el6_2.noarch
rubygem-aeolus-cli-0.3.1-1.el6.noarch
aeolus-conductor-0.8.13-1.el6_2.noarch
aeolus-conductor-doc-0.8.13-1.el6_2.noarch
aeolus-all-0.8.13-1.el6_2.noarch
aeolus-configure-2.5.3-1.el6.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch


The latest build restores the userdata, closing.

Note You need to log in before you can comment on or make changes to this bug.